# WOK
TKWOK
WOKUnix

# WOKUnix_ShellManager Class Reference

`#include <WOKUnix_ShellManager.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Handle_WOKUnix_Shell | GetShell ()
| returns one unlocked shell of processes list
static Standard_EXPORT Handle_WOKUnix_Shell | GetShell (const Standard_Integer apid)
| get a precise shell
static Standard_EXPORT Handle_WOKUnix_RemoteShell | GetRemoteShell (const Handle(TCollection_HAsciiString)&ahost, const TCollection_AsciiString &apath)
| returns a host's unlocked remote shell of processes list

## Member Function Documentation

static Standard_EXPORT Handle_WOKUnix_RemoteShell WOKUnix_ShellManager::GetRemoteShell | ( | const Handle(TCollection_HAsciiString)& | ahost,
|  | const TCollection_AsciiString & | apath
| ) | `[static]`

static Standard_EXPORT Handle_WOKUnix_Shell WOKUnix_ShellManager::GetShell | ( | const Standard_Integer | apid | ) | `[static]`

static Standard_EXPORT Handle_WOKUnix_Shell WOKUnix_ShellManager::GetShell | ( |  | ) | `[static]`

void WOKUnix_ShellManager::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKUnix_ShellManager::operator new | ( | size_t | size | ) | `[inline]`

void* WOKUnix_ShellManager::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- WOKUnix_ShellManager.hxx